# Sourceforge doesn't allow downloading by tag name? This is the corresponding commit
%global gittag 32f8cc2bde1083a42f439668e5cbdd003b2e4522

Summary:		AVR plug-in for Eclipse
Name:			eclipse-avr
Version:		2.4.2
Release:		5%{?dist}
License:		EPL
URL:			http://avr-eclipse.sourceforge.net
Source0:		https://sourceforge.net/code-snapshots/git/a/av/avr-eclipse/code.git/avr-eclipse-code-%{gittag}.zip

BuildArch:		noarch

BuildRequires:	tycho
BuildRequires:	eclipse-cdt

# AVR Toolchain + Programmer
Requires:		avr-gcc
Requires:		avr-libc
Requires:		avr-binutils
Requires:		avr-gdb
Requires:		avrdude

%description
This Eclipse plug-in provides some tools and settings for developing C programs
for the ATMEL AVR series of embedded processors with the Eclipse IDE.

%prep
%setup -q -n avr-eclipse-code-%{gittag}

# Don't install poms or test bundles
%mvn_package "::pom:" __noinstall
%mvn_package ":*{test,tests}" __noinstall

%build
# Skip tests, they do not work
%mvn_build -j -f -- -f de.innot.avreclipse.master/pom.xml

%install
%mvn_install

%files -f .mfiles
%license de.innot.avreclipse/about.html

%changelog
* Thu Jul 12 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.4.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.4.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.4.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.4.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Apr 26 2016 Mat Booth <mat.booth@redhat.com> - 2.4.2-1
- Update to latest upstream release
- Build/install with tycho/xmvn
- License changed to EPL from GPL

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 2.3.4-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3.4-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3.4-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3.4-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Feb 22 2013 Alexander Kurtakov <akurtako@redhat.com> 2.3.4-7
- Update to use eclipse-pdebuild script from _bindir directly.

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3.4-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3.4-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Jul 19 2011 Vladimir Kostadinov <vladimir.kostadinov@gmail.com> 2.3.4-3
- Added eclipse-cdt to BuildRequires.

* Fri Jul 15 2011 Vladimir Kostadinov <vladimir.kostadinov@gmail.com> 2.3.4-2
- Description length fixed to < 80 characters.
- License fixed to GPLv3+.
- License files added in doc section. 

* Fri Jul 8 2011 Vladimir Kostadinov <vladimir.kostadinov@gmail.com> 2.3.4-1
- Package created. Includes all AVR related packages necessary for development. 
